classification
Title: Documentation for Queue in 2.x has an incorrect title
Type: Stage:
Components: Documentation Versions: Python 2.7, Python 2.6
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: docs@python Nosy List: docs@python, eli.bendersky, python-dev, rafe.kettler
Priority: normal Keywords: patch

Created on 2011-07-15 23:25 by rafe.kettler, last changed 2011-07-17 02:56 by eli.bendersky. This issue is now closed.

Files
File name Uploaded Description Edit
unnamed eli.bendersky, 2011-07-16 14:51
queue_docs.patch rafe.kettler, 2011-07-16 16:07
Messages (4)
msg140475 - (view) Author: Rafe Kettler (rafe.kettler) Date: 2011-07-15 23:25
The documentation for Queue in all versions of Python 2.7 and 2.6 (see http://docs.python.org/release/2.6.7/library/queue.html#module-Queue for the 2.7 docs) has the title "queue -- A synchronized queue class." The module, however, is named "Queue" in all of 2.x. So, while the title is appropiate for 3.x, it's incorrect for 2.x.

I can make a patch, as well.
msg140497 - (view) Author: Eli Bendersky (eli.bendersky) * (Python committer) Date: 2011-07-16 14:51
> The documentation for Queue in all versions of Python 2.7 and 2.6 (see
> http://docs.python.org/release/2.6.7/library/queue.html#module-Queue for
> the 2.7 docs) has the title "queue -- A synchronized queue class." The
> module, however, is named "Queue" in all of 2.x. So, while the title is
> appropiate for 3.x, it's incorrect for 2.x.
>
> I can make a patch, as well.
>

Sure, make a patch for 2.7 (the 2.6 line is now in "security only" mode).

Eli
msg140503 - (view) Author: Rafe Kettler (rafe.kettler) Date: 2011-07-16 16:07
Okay, here's a patch.

I also went ahead and added my name to ACKS, since this is my 3rd or 4th patch.

Rafe
msg140515 - (view) Author: Roundup Robot (python-dev) (Python triager) Date: 2011-07-17 02:54
New changeset 60ce5f279a5e by Eli Bendersky in branch '2.7':
Issue #12574: correct capitalization of the Queue module. Patch by Rafe Kettler
http://hg.python.org/cpython/rev/60ce5f279a5e
History
Date User Action Args
2011-07-17 02:56:59eli.benderskysetstatus: open -> closed
resolution: fixed
2011-07-17 02:54:52python-devsetnosy: + python-dev
messages: + msg140515
2011-07-16 16:08:00rafe.kettlersetfiles: + queue_docs.patch
keywords: + patch
messages: + msg140503
2011-07-16 14:51:41eli.benderskysetfiles: + unnamed

messages: + msg140497
nosy: + eli.bendersky
2011-07-15 23:25:48rafe.kettlercreate